Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlevs.adapters.httppubsub.support
Class HttpPubSubHelper

    java.lang.Object
      |
      +--com.bea.wlevs.adapters.httppubsub.support.HttpPubSubHelper

public class HttpPubSubHelper
extends java.lang.Object

Inner Class Summary
`static class` | `HttpPubSubHelper.Client` PubSub Client representing a single client connection to a pubsub server.

Field Summary
`static java.lang.String` | `BAYEUX_ADVICE`
`static java.lang.String` | `BAYEUX_CHANNEL`
`static java.lang.String` | `BAYEUX_CLIENT_ID`
`static java.lang.String` | `BAYEUX_CONNECTION_TYPE`
`static java.lang.String` | `BAYEUX_DATA`
`static java.lang.String` | `BAYEUX_ERROR`
`static java.lang.String` | `BAYEUX_HANDSHAKE`
`static java.lang.String` | `BAYEUX_INTERVAL`
`static java.lang.String` | `BAYEUX_MESSAGE`
`static java.lang.String` | `BAYEUX_META_CONNECT`
`static java.lang.String` | `BAYEUX_META_DISCONNECT`
`static java.lang.String` | `BAYEUX_META_HANDSHAKE`
`static java.lang.String` | `BAYEUX_META_PING`
`static java.lang.String` | `BAYEUX_META_PREFIX`
`static java.lang.String` | `BAYEUX_META_RECONNECT`
`static java.lang.String` | `BAYEUX_META_STATUS`
`static java.lang.String` | `BAYEUX_META_SUBSCRIBE`
`static java.lang.String` | `BAYEUX_META_UNSUBSCRIBE`
`static java.lang.String` | `BAYEUX_MINIMUM_VERSION`
`static java.lang.String` | `BAYEUX_RECONNECT`
`static java.lang.String` | `BAYEUX_RETRY`
`static java.lang.String` | `BAYEUX_SUCCESSFUL`
`static java.lang.String` | `BAYEUX_SUPPORTED_CONNECTION_TYPE_LONG_POLLING`
`static java.lang.String` | `BAYEUX_SUPPORTED_CONNECTION_TYPES`
`static java.lang.String` | `BAYEUX_VERSION`
`static java.lang.String` | `BAYEUX_VERSION_CURRENT`

Constructor Summary
`HttpPubSubHelper()`

Method Summary
`static java.lang.String` | `eventToJSON(EventType eventType, java.lang.Object event)` Convert an event object to a JSON object.
`static com.bea.httppubsub.json.JSONObject` | `eventToJSONObject(EventType eventType, java.lang.Object event)` Convert an event object to a JSON object.
`static java.lang.Object` | `jsonToEvent(com.bea.httppubsub.json.JSONObject object, EventType eventType)` For each property in the event type, look for a corresponding field in the JSON object and use it to set the property value.
`static java.lang.String` | `mapToJSON(java.util.Map map)` Convert a Map object to a JSON object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BAYEUX_MESSAGE

    public static final java.lang.String BAYEUX_MESSAGE

### BAYEUX_CHANNEL

    public static final java.lang.String BAYEUX_CHANNEL

### BAYEUX_DATA

    public static final java.lang.String BAYEUX_DATA

### BAYEUX_VERSION

    public static final java.lang.String BAYEUX_VERSION

### BAYEUX_MINIMUM_VERSION

    public static final java.lang.String BAYEUX_MINIMUM_VERSION

### BAYEUX_VERSION_CURRENT

    public static final java.lang.String BAYEUX_VERSION_CURRENT

### BAYEUX_SUPPORTED_CONNECTION_TYPES

    public static final java.lang.String BAYEUX_SUPPORTED_CONNECTION_TYPES

### BAYEUX_CONNECTION_TYPE

    public static final java.lang.String BAYEUX_CONNECTION_TYPE

### BAYEUX_SUPPORTED_CONNECTION_TYPE_LONG_POLLING

    public static final java.lang.String BAYEUX_SUPPORTED_CONNECTION_TYPE_LONG_POLLING

### BAYEUX_CLIENT_ID

    public static final java.lang.String BAYEUX_CLIENT_ID

### BAYEUX_SUCCESSFUL

    public static final java.lang.String BAYEUX_SUCCESSFUL

### BAYEUX_ERROR

    public static final java.lang.String BAYEUX_ERROR

### BAYEUX_ADVICE

    public static final java.lang.String BAYEUX_ADVICE

### BAYEUX_INTERVAL

    public static final java.lang.String BAYEUX_INTERVAL

### BAYEUX_RECONNECT

    public static final java.lang.String BAYEUX_RECONNECT

### BAYEUX_RETRY

    public static final java.lang.String BAYEUX_RETRY

### BAYEUX_HANDSHAKE

    public static final java.lang.String BAYEUX_HANDSHAKE

### BAYEUX_META_PREFIX

    public static final java.lang.String BAYEUX_META_PREFIX

### BAYEUX_META_CONNECT

    public static final java.lang.String BAYEUX_META_CONNECT

### BAYEUX_META_DISCONNECT

    public static final java.lang.String BAYEUX_META_DISCONNECT

### BAYEUX_META_HANDSHAKE

    public static final java.lang.String BAYEUX_META_HANDSHAKE

### BAYEUX_META_PING

    public static final java.lang.String BAYEUX_META_PING

### BAYEUX_META_RECONNECT

    public static final java.lang.String BAYEUX_META_RECONNECT

### BAYEUX_META_STATUS

    public static final java.lang.String BAYEUX_META_STATUS

### BAYEUX_META_SUBSCRIBE

    public static final java.lang.String BAYEUX_META_SUBSCRIBE

### BAYEUX_META_UNSUBSCRIBE

    public static final java.lang.String BAYEUX_META_UNSUBSCRIBE

Constructor Detail

### HttpPubSubHelper

    public HttpPubSubHelper()

Method Detail

### eventToJSON

    public static java.lang.String eventToJSON(EventType eventType,
                                               java.lang.Object event)

  Convert an event object to a JSON object. The event object is assumed to have simple property values.

  Parameters:
    `eventType` - The EventType of this event object
    `event` - An object of the specified type
  Returns:
    A String representation of a JSON object containing the property values of the event object, or null if the event object could not be converted.

### eventToJSONObject

    public static com.bea.httppubsub.json.JSONObject eventToJSONObject(EventType eventType,
                                                                       java.lang.Object event)

  Convert an event object to a JSON object. The event object is assumed to have simple property values.

  Parameters:
    `eventType` - The EventType of this event object
    `event` - An object of the specified type
  Returns:
    A JSON object containing the property values of the event object, or null if the event object could not be converted.

### mapToJSON

    public static java.lang.String mapToJSON(java.util.Map map)

  Convert a Map object to a JSON object.

  Parameters:
    `map` -
  Returns:
    A JSON object containing the map values, or null if the map was null.

### jsonToEvent

    public static java.lang.Object jsonToEvent(com.bea.httppubsub.json.JSONObject object,
                                               EventType eventType)

  For each property in the event type, look for a corresponding field in the JSON object and use it to set the property value. If there is no corresponding field, or if the type doesn't match, the property is not set.

  Parameters:
    `object` -
    `eventType` -
  Returns:
    Newly created event object, or null if the message could not be converted to an event

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 BEA Systems All Rights Reserved.